Subject: [os2genau_digest] No. 745
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 11 Dec 2003 00:04:02 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Wednesday 10 December 2003
 Number  745
**************************************************

Subjects for today
 
1  Re:  eComstation downloads : Mike O'Connor <mikeoc at dodo dot com dot au>
2  Re:  CD-ROM troubles? : Mike O'Connor <mikeoc at dodo dot com dot au>
3  Re:  CD-ROM troubles? : John Angelico" <talldad at kepl dot com dot au>
4  Re:  OS/2 CP owners : Michael Barrow" <thebarrows at iinet dot net dot au>
5  Re:  OS/2 CP owners : John Angelico" <talldad at kepl dot com dot au>
6  Re:  OS/2 CP owners : Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>

**= Email   1 ==========================**

Date:  Wed, 10 Dec 2003 03:01:20 +1000
From:  Mike O'Connor <mikeoc at dodo dot com dot au>
Subject:  Re:  eComstation downloads

Dennis Nolan wrote:

> Hi All
> I seem unable to download anything from the ecomstation dot com download 
> area.
>
> Everything goes well untill clicking onto the file url. Then I get a 
> message indicating the directory that contains the file doesn't exist.
>
> /Regards
> Dennis.
>
> /ps Just found out by accident ctrl I toggles /itallacs.

Hi Dennis,

Yes, CTRL-I = [toggle] italics and also :
CTRL-B = [toggle] bold
CTRL-U = [toggle] underline
When composing in html - with IBMWB-Mail or Mozilla/Thunderbird etc
[CTRL-A = [non-toggle] select ALL text on page too].

HTH

FWIW - which file were you trying to download?
-- 

Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
[ISP blocks *.exe attachments]
[Please use zipped versions of above]

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Wed, 10 Dec 2003 04:34:54 +1000
From:  Mike O'Connor <mikeoc at dodo dot com dot au>
Subject:  Re:  CD-ROM troubles?

John Angelico wrote:

>3. everything freezes solid - no keyboard Ctrl-Alt-Del, no WatchCat or
>anything
>(can't even ping from another machine in the local net)
>4. have to do a hardware reset and watch for 10 mins of older ChkDsk on
>CEFGH drives
>  
>
Hi John,
WRT 4. above - the hardware reset automatically means dirty disks and 
thus chkdsk on restart, but invariably, even when CAD does nothing, 
using the CTRL-ALT-numlock-numlock sequence WILL still activate a 
"system dump to floppy" - just have no floppy in the drive - then press 
CTRL-ALT-DEL and the buffers will be flushed and filesystem will not 
need a chkdsk on restart, except those HPFS* that are in the IFS line 
autocheck with a "+" pre-pended, and the usual JFS very quick journal 
check - if you have the JFS implemented.

HTH

-- 
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
[ISP blocks *.exe attachments]
[Please use zipped versions of above]

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Wed, 10 Dec 2003 07:43:05 +1100 (AEDT)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  CD-ROM troubles?

On Wed, 10 Dec 2003 04:34:54 +1000, Mike O'Connor wrote:

>John Angelico wrote:
>
>>3. everything freezes solid - no keyboard Ctrl-Alt-Del, no WatchCat or
>>anything
>>(can't even ping from another machine in the local net)
>>4. have to do a hardware reset and watch for 10 mins of older ChkDsk on
>>CEFGH drives
>>  
>>
>Hi John,
>WRT 4. above - the hardware reset automatically means dirty disks and 
>thus chkdsk on restart, but invariably, even when CAD does nothing, 
>using the CTRL-ALT-numlock-numlock sequence WILL still activate a 
>"system dump to floppy" - just have no floppy in the drive - then press 
>CTRL-ALT-DEL and the buffers will be flushed and filesystem will not 
>need a chkdsk on restart, except those HPFS* that are in the IFS line 
>autocheck with a "+" pre-pended, and the usual JFS very quick journal 
>check - if you have the JFS implemented.
>
>HTH

Hi Mike.

I hope it does too, but so far I have found the keyboard dead as a
doornail...

If it happens again soon I will try that for sure.

I have no + drives, and no JFS on this machine but if, as someone else
warned, I have a disk problem rather than a CD problem, I may be buying a
new SCSI drive which will become JFS, I tink...

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... See the Future; See OS/2. Be the Future; Run OS/2.
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Wed, 10 Dec 2003 23:11:16 +1000
From:  "Michael Barrow" <thebarrows at iinet dot net dot au>
Subject:  Re:  OS/2 CP owners

** Reply to message from "John Angelico" <talldad at kepl dot com dot au> on Tue, 09 Dec
2003 14:39:56 +1100 (AEDT)

> On Tue, 09 Dec 2003 14:13:33 +1000 (EST), Gavin Miller wrote:
> 
> Hi Gavin & Kev
> 
> >I hear ya Kev,  It is nice to be able to install the OS and use.  But there is a down side.  
> 
> Mmm, yes, but I see Kev's point too. 
> 
> Maybe we need to convince eCS that an "Upgrade Installation" is the way to
> go, since we all want to preserve our carefully crafted objects, Desktop
> setup, location of programs etc.
> 
For my mind,
I would like a program similar to Andrew Kiel's old deskbak that you can run
before reloading that preserves whatever you want, burn to CD or floppy or
......  and then can be run after install to bring me back to where I was.
Even with my impecable record keeping of mods and changes (Everyone laugh
really loudly here, I am) it is difficult to get back to a familar state.
So my vote goes to the latest vapourware "As You Were".
Now if someone who knows what their doing can create it I'll buy it. (I only
deal in concepts, this piece of consultancy should cost you all thousands but I
choose to donate for free)
Regards,

Michael
----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Wed, 10 Dec 2003 14:14:10 +1100 (AEDT)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  OS/2 CP owners

On Wed, 10 Dec 2003 23:11:16 +1000, Michael Barrow wrote:

Michael, as a member of the MelbPC OS/2 SIG you are entitled to buy a copy
of Andrew Keil's DeskBak v3 object only (since he has lost track of the
source) at an unbeatable price (which I can reveal only off the list).

I still use it here on our eCS systems.

This is on list in case other members of MelbPC OS/2 SIG are not aware of
this special arrangement negotiated with Andrew himself <g>.

Best regards
John Angelico
OS/2 SIG
talldad at kepl dot com dot au
________________________

>** Reply to message from "John Angelico" <talldad at kepl dot com dot au> on Tue, 09 Dec
>2003 14:39:56 +1100 (AEDT)
>
>> On Tue, 09 Dec 2003 14:13:33 +1000 (EST), Gavin Miller wrote:
>> 
>> Hi Gavin & Kev
>> 
>> >I hear ya Kev,  It is nice to be able to install the OS and use.  But there is a down side.  
>> 
>> Mmm, yes, but I see Kev's point too. 
>> 
>> Maybe we need to convince eCS that an "Upgrade Installation" is the way to
>> go, since we all want to preserve our carefully crafted objects, Desktop
>> setup, location of programs etc.
>> 
>For my mind,
>I would like a program similar to Andrew Kiel's old deskbak that you can run
>before reloading that preserves whatever you want, burn to CD or floppy or
>......  and then can be run after install to bring me back to where I was.
>Even with my impecable record keeping of mods and changes (Everyone laugh
>really loudly here, I am) it is difficult to get back to a familar state.
>So my vote goes to the latest vapourware "As You Were".
>Now if someone who knows what their doing can create it I'll buy it. (I only
>deal in concepts, this piece of consultancy should cost you all thousands but I
>choose to donate for free)
>Regards,
>
>Michael

> 

>
>

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Wed, 10 Dec 2003 16:25:59 +1000
From:  "Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
Subject:  Re:  OS/2 CP owners

Hi All,

If I understand the drift of this discussion, essentially users are saying they want a means 
of an Upgrade Installation that would preserve their old desktop and customisations.?

Actually Deskbak/2 would not be the ideal choice here as the restore from Deskbak/2
would only replace the original OS2*.ini files, config.sys and the desktop on top of
the new installation.  All the eCS and/or CP specific bits would have to be re-registered 
with the config.sys and os2*.ini files, if this is possible.

All you would achieve by the upgrade attempt and Deskbak/2 restore would be to 
update the underlying files and leave the desktop the same.  If it worked at all.!
There would be almost no advantage to upgrade to eCS/CP.  
And some things might not work at all because some of the files are in different 
locations and will not be referenced in the Libpath, Path and Dpath etc..

The best way would be to install to another partition and slowly over time, move the files
around bit by bit until the underlying files and directory names on the old installation are 
the same.

The closer you can get the old os2 to resemble the new eCS/CP, the better for the final
upgrade install.  It is actually easier than you might think.  In this instance an upgrade install
over the top of the old Warp4 would stand a better chance of success because the differences
in the directories and files location would have been massaged out before the attempt.

A typical example is that the TEMP and TMP statements and variables now use 
?:\Var\Temp instead of ?:\TCPIP\TMP.

The config.sys files could be easily compared and the whole process would aid you in 
familiarising yourself with changes in eCS/CP.  An upgrade install would be more likely 
to conclude successfully with CP rather than eCS and there would probably be less 
work overall.

I have done a partial upgrade install in the past by using Object Desktop's Package system.
Simply install OD into BOTH partitions, save the Desktops in BOTH to a package file.
Opening up the package file on the other os will enable you to customise by dragging and 
dropping the folder and program objects onto the desktop.  The act of dragging and dropping 
will ensure that the appropriate folders and program objects are recreated and registered
properly on the new os.  Or, use the OD package to create a rexx file which can be edited
and run on ANY os2 os.  Simply editing the rexx file to change the drive letter will help
in registering classes etc.

So to sum up, this would also be the ideal time to update the hard drive as well.
Xcopy or image from the old to the new hard drive and create an extra partition.
The old hard drive is then still intact and becomes a backup that can be easily
restored if need be.

Now install CP or eCS to the new partition and do any customisations that you
want to either os.  If you bugger up, you have an actual working backup hard 
drive to fall back on or to reimage and try again.  You can't lose. 
(Except a few $$$$.)
When you are confident that the old Warp 4 resembles CP/eCS try an upgrade 
install or rely on OD package system to add the old custom bits to the new os.

Just my two cents worth.

Robert Traynor (BobT).
10 December 2003   16:03

On Wed, 10 Dec 2003 14:14:10 +1100 (AEDT), John Angelico wrote:
> On Wed, 10 Dec 2003 23:11:16 +1000, Michael Barrow wrote:
> 
> Michael, as a member of the MelbPC OS/2 SIG you are entitled to buy a copy
> of Andrew Keil's DeskBak v3 object only (since he has lost track of the
> source) at an unbeatable price (which I can reveal only off the list).
> 
> I still use it here on our eCS systems.
> 
> This is on list in case other members of MelbPC OS/2 SIG are not aware of
> this special arrangement negotiated with Andrew himself <g>.
> 
> Best regards
> John Angelico
> OS/2 SIG
> talldad at kepl dot com dot au
> ________________________

   ,-._|\       Robert Traynor        (BobT)
 /  Oz  \      email            rtraynor at removeme.optusnet dot com dot au
 \_,--.x/ 

----------------------------------------------------------------------------------